<div id="admin_redirect_main">
	<h1>Настройка перенаправлений</h1>
	<div><a class="btn btn-default btn-xs" href="{url}" title="назад"><img class="icon" src="/skins/default/images/icons/simple_arrow_left.png" alt="назад" /></a></div>

	<script type="text/javascript">
		function check_pattern()
		{
			pattern=document.getElementById('pattern').value;
			pattern=pattern.replace(/\//, "\\/");
			source=document.getElementById('source').value;
			link=document.getElementById('link').value;
			server=document.getElementById('server').innerHTML;
			try{
			document.getElementById('result').innerHTML=server+source.replace(RegExp('^'+pattern+'$', "g"), link);
			}catch(myErr){ alert('Регулярное выражение не может быть обработано:\r\n'+myErr); }
		}
	</script>

	<div class="form-horizontal">
		{form_element item=$form}
		<form>
			<fieldset id="qfauto-3"><legend id="qfauto-3-legend">Проверка</legend>
				<div class="form-group">
					<div class="col-lg-9">Перейдя по адресу:</div>
				</div>
				<div class="form-group">
					<label class="col-lg-3 control-label" for="source" id="server">{$_cfg.core.siteUrl|escape}</label>
					<div class="col-lg-9"><input type="text" id="source" tabindex="4" name="check" class="form-control" /></div>
				</div>
				<div class="form-group">
					<div class="col-lg-9">посетитель попадет сюда: <strong id="result"></strong></div>
				</div>
				<div class="form-group">
					<div class="col-lg-9 col-lg-offset-3"><a class="btn btn-default" tabindex=5 onclick="return check_pattern();" href="javascript:void(0)">проверить</a></div>
				</div>
			</fieldset>

		</form>
	</div>
</div>